article[class*="restaurant"]{
    background: $color-light;
    padding-bottom: 20px;
    
}
.body__menu{
    @include bg-lighter($color-light);
    display: flex;
    flex-direction: column;
}
.main__bloc{
    display: flex;
    flex-direction: column;
    width: 100%;
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
    background-color: $color-light;
    margin: 250px 0 0;
    z-index: 0;
    animation: anim_body_restaurant 500ms 250ms both;
    min-height: calc(100vh - 443px);
}
.content__restaurants{
    display: flex;
    flex-direction: column;
    align-items: center;
    @include desktop-only{
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        margin-left: 0;
        align-items: flex-start;
    }
    @include tablet-only{
    display: flex;
    flex-direction: column;
    align-items: center;
    }
}
.restaurants {
    display: flex;
    flex-direction: column;
    background: $color-light;
    &__starter {
        @include desktop-only{
            margin-left: 10px;
        }
    }
    &__title {
        display: flex;
        justify-content: space-around;
        align-items: flex-end;
        padding: 30px;
        margin: 0 0 20px;
        @include desktop-only{
            justify-content: center;
        }
        @include tablet-only{
            justify-content: center;
        }
        & h2 {
            @include desktop-only{
                margin: 0 60px 0 0;
            }
            @include tablet-only{
                margin: 0 60px 0 0;
            }
            
            margin: 0;
            padding-top: 20px;
            font-family: $font-title;
        }
    }

    &__banner {

        position: relative;

        & img {
            height: 275px;
            width: 100%;
            position: fixed;
            z-index: -5;
            object-fit: cover;
            top: 0;
        }
    }

    

    &__content {
        
        @include desktop-only {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: space-around;
            width: 100%;
        }
    }

    &__cards {
        position: relative;
        display: flex;
        flex-direction: column;
        
        width: 300px;
        border-radius: 15px;
        margin: 0 0 20px;
        @include bg-lighter($color-light);

        /* TEST ANIMATION */
        @include desktop-only {
            &:hover {
                transition: transform 200ms ease, box-shadow 200ms ease;
                cursor: pointer;
                transform: scale(1.1);
                box-shadow: 0px 0px 3px 3px $color-tertiary;
                z-index: 1;
            }

            &:not(:hover) {
                transition: transform 200ms;
                transform: scale(1);
                z-index: 0;
            }
        }

        &:active {
            transition: transform 100ms;
            transform: scale(0.8);
        }

        /* FIN TEST ANIMATION */
        &--new {
            border-radius: 2px;
            font-weight: 800;
            background: $color-tertiary;
            position: absolute;
            padding: 5px;
            top: 10px;
            right: 10px;
            @include darker($color-tertiary);
        }

        & img:not([class*="empty"]):not([class*="full"]) {
            object-fit: cover;
            box-sizing: border-box;
            height: 150px;
            border-top-left-radius: 15px;
            border-top-right-radius: 15px;
        }
    }

    &__caption {
        padding: 0 20px;
        height: 70px;
        justify-content: space-between;
        align-items: center;
        text-align: start;

    }
}
.content__card{
    display: flex;
    flex-direction: column;
    
}

.restaurants__starter--subtitle .underline::after{
    content: "";
    display: block;
    width: 40px;
    background-color: $color-tertiary;
    height: 2px;
    margin-top: 5px;
}